﻿@model DataLayer.Model.Task
@using DataLayer.Model.Enums

@{
    Layout = null;
    List<DataLayer.Model.Category> cat = ViewBag.categorys as List<DataLayer.Model.Category>;
    List<DataLayer.Model.Category> subcat = ViewBag.subcategory as List<DataLayer.Model.Category>;
}

<form asp-action="AddTask" method="post">
    <div class="form-group">
        <label>عنوان</label>
        <input asp-for="Name" class="form-control" />
    </div>
    <div class="form-group">
        <label>دسته بندی اصلی</label>
        <select class="form-control category" asp-for="CategoryId" >
            <option value="0">انتخاب کنید</option>
            @foreach (var item in cat)
            {
                <option value="@item.CategoryId">@item.Title</option>
            }

        </select>
    </div>

    <div class="form-group">
        <label>دسته بندی فرعی</label>
        <select class="form-control subcategory" >
        </select>
    </div>

    <div class="form-group">
        <label>توضیحات</label>
        <input asp-for="Description" class="form-control" />
    </div>

    <div class="form-group">
        <label>تاریخ اتمام</label>
        <input asp-for="Date" type="text" class="form-control" />
    </div>


    <div class="form-group">
        <label>انجام شده</label>
        <input asp-for="IsDone" type="radio" value="@IsDoneEnum.isdone" />
        <label>انجام نشده</label>
        <input asp-for="IsDone" type="radio" value="@IsDoneEnum.notdone" />
    </div>

    <div class="form-group">
        <button class="btn btn-success">ثبت</button>
    </div>

</form>